(function ($) {
        "use strict";
            var WidgetScrollSequenceHandler = function($scope, $) { 
                let is_editable = elementorFrontend?.isEditMode();
                let getCTA = $scope[0].querySelector('.wkit-open-door-cta');
let ctaAtag = getCTA.querySelector('.open-door-cta');
let linkContainer = getCTA.querySelector('.open-door-cta-inner');
const isTablet = window.innerWidth >= 768 && window.innerWidth <= 1024;
const isMobile = window.innerWidth <= 767;
ctaAtag.addEventListener('click', (e) => {
    if (
        (isMobile && !linkContainer.classList.contains('disable-mobile-link')) ||
        (isTablet && !linkContainer.classList.contains('disable-tablet-link'))
    ) {
        e.preventDefault();
        e.stopPropagation();
    }
});
ctaAtag.addEventListener('mouseenter', () => {
    getCTA.classList.add('active');
});
ctaAtag.addEventListener('mouseleave', () => {
    getCTA.classList.remove('active');
});
  
            };	
        $(window).on('elementor/frontend/init', function () {
          elementorFrontend.hooks.addAction('frontend/element_ready/wb-wzunno24.default', WidgetScrollSequenceHandler);
        });
    })(jQuery);